Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.primitive
Class RDN

    java.lang.Object
      org.mozilla.jss.pkix.primitive.RDN

All Implemented Interfaces:
  ASN1Value

    public class RDN

extends java.lang.Object
implements ASN1Value

A RelativeDistinguishedName, whose ASN.1 is:

     RelativeDistinguishedName ::= SET SIZE(1..MAX) OF AttributeValueAssertion

Nested Class Summary
`static class` | `RDN.Template`

Field Summary
`static Tag` | `TAG`

Constructor Summary
`RDN(AVA initialElement)` An RDN must have at least one element at all times, so an initial element must be provided.

Method Summary
`void` | `add(AVA ava)`
`AVA` | `at(int idx)`
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicit, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`void` | `removeAt(int idx)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

Constructor Detail

### RDN

    public RDN(AVA initialElement)

  An RDN must have at least one element at all times, so an initial element must be provided.

Method Detail

### add

    public void add(AVA ava)

### at

    public AVA at(int idx)

### removeAt

    public void removeAt(int idx)
                  throws TooFewElementsException

  Throws:
    `TooFewElementsException` - If removing this element would result in the RDN being empty.

### size

    public int size()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### encode

    public void encode(Tag implicit,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD